Bug 238439 - (CVE-2007-2231) CVE-2007-2231 Directory traversal in dovecot with zlib plugin
CVE-2007-2231 Directory traversal in dovecot with zlib plugin
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://www.dovecot.org/list/dovecot-n...
impact=low,source=cve,public=20070328...
: Security
Depends On: 384771
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-30 10:25 EDT by Red Hat Product Security
Modified: 2009-10-23 15:05 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.0.7-2.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-12 05:53:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2007-04-30 10:25:26 EDT
Description of problem:

In case zlib plugin is enabled, dovecot didn't check if mbox path
contained ".." which could be exploited to read compressed mailboxes
of other users.

As the dovecot-news post referred to in URL field states, this is an
unlikely scenario, as it moreover needs the files to be readable by
UID the dovecot is running under after the malicious user logs in.

Version-Release number of selected component (if applicable):

        Does not Affect: FC6
        Affects: FC5
        Affects: RHEL4
        Affects: RHEL5
Comment 6 Tomas Hoger 2008-04-09 05:13:35 EDT
Correction to comment #0:

This issue did not affect dovecot packages as shipped in Red Hat Enterprise
Linux 4, as they do not include zlib plugin.  Only dovecot in Red Hat Enterprise
Linux 5 was affected.
Comment 10 Red Hat Bugzilla 2009-10-23 15:05:37 EDT
Reporter changed to security-response-team@redhat.com by request of Jay Turner.

Note You need to log in before you can comment on or make changes to this bug.